Subject: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06

From: Dhruv Dhody <[email-masked]>
Date: Sun, 7 Jun 2020 13:15:28 +0530

Hi WG,

This email begins the WG adoption poll for
draft-barth-pce-segment-routing-policy-cp-06.

https://datatracker.ietf.org/doc/draft-barth-pce-segment-routing-policy-cp/06/

Should this draft be adopted by the PCE WG? Please state your reasons
- Why / Why not? What needs to be fixed before or after adoption? Are
you willing to work on this draft? Review comments should be posted to
the list.

This adoption poll will end on 22nd June 2020.

Thanks!
Dhruv & Julien

---

From: "Stone, Andrew (Nokia - CA/Ottawa)" <[email-masked]>
Date: Mon, 8 Jun 2020 16:04:54 +0000

Hi PCE Chairs and WG

A few questions/comments regarding draft-barth-pce-segment-routing-policy-cp-06:

1.  draft-ietf-spring-segment-routing-policy states that only a single candidate path can be active within an SR Policy. While we wouldn't want to repeat all the text in the PCEP document that it's in the spring document and focus more on the encoding of signalling, should PCEP comment on this (only 1 active CP in an SR Policy association group)?

2.  Binding SID is an important attribute of SR Policy, and for PCEP that is currently described independently in draft-sivabalan-pce-binding-label-sid (as it should be) - should draft-barth-pce-segment-routing-policy-cp-06 make a point to reference this? For an implementation of draft-barth-pce-segment-routing-policy-cp, must it support draft-sivabalan-pce-binding-label-sid ? 

3. Similar to previous point, draft-barth-pce-segment-routing-policy-cp-06 has editor comments regarding support of multiple SID lists to be described in another document. draft-koldychev-pce-multipath describes a mechanism for this.  Should draft-barth-pce-segment-routing-policy-cp make a reference to this? For an implementation of draft-barth-pce-segment-routing-policy-cp, must it support draft-koldychev-pce-multipath ? 

4. Section 4.3 leaves me confused. The term 'sub-candidate path' is not used anywhere else to my knowledge, and the concept of ECMP/UCMP makes it sound like the behaviour of multiple SID Lists to me, since a single candidate path will W-ECMP across multiple SID Lists. The use case requirement for encoding objective/constraints was discussed in the past, in Montreal if I recall, to allow the ability to tell PCE different constraints (ex: path1 take red plane, path2 take blue plane) and ECMP across it. I think this is certainly a valid use case, but it's not clear to me from this section how that's achieved within PCEP encoding and how that fits into the SR Policy model. How does a sub-candidate path differ from a SID list? Or are they the same? Then why all the language about PCEP tunnel and candidate path? Or is the intent to basically signal multiple candidate paths with the intent to ECMP across the SID Lists contained within them? I get a slight impression that there's a either (intentionally or unintentionally) potentially a logical new containment  introduced in the SR Policy model in order to encode optimization objective/constraints for PCE. The language of mapping sub-candidate paths each to a PCEP Tunnel also leaves me confused since a candidate path is a PCEP Tunnel as described in section 4.1.  Some additional clarification, diagrams or examples in this section is needed I think. 

Regarding the adoption call: 

Overall I think the draft should be adopted by the PCE WG. Having PCE instantiate and compute paths for a Candidate path, with full awareness of the context of an SR Policy is a natural fit. The existing implementations of SR Policy via BGP shows that SR Policy instantiation from a controller to the network is important, however in some deployments and platforms using PCEP would be a better fit than BGP. Using PCEP also helps ease the feedback complexity in reporting state back to the controller, felt by BGP.  With the exception of section 4.3 to me, I think the document reflects the overall architecture and model described in draft-ietf-spring-segment-routing-policy and follows a sensible encoding model in PCEP in its mappings of PLSP-ID/Candidate path and use of association. I think section 4.3 need to be evaluated and discussed in more detail - whether I think it should be before or after adoption I'll leave up to the WG consensus on this section ... 

Thanks
Andrew

On 2020-06-07, 3:46 AM, "Pce on behalf of Dhruv Dhody" <[email-masked] on behalf of [email-masked]> wrote:

    Hi WG,

    Thanks!
    Dhruv & Julien

    _______________________________________________
    Pce mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/pce

---

From: "Mike Koldychev (mkoldych)" <[email-masked]>
Date: Mon, 8 Jun 2020 17:41:36 +0000

Hi PCE Chairs,

As one of the authors, I support WG adoption of the current draft.

Hi Andrew,

Thanks for your valuable input, let me reply.

1. It would be up to the head-end to decide what CP is active, so I would say that we probably do not need to explicitly state in this draft that only one CP must be active. But should explicitly state how an active CP is distinguished from non-active CP in terms of PCEP flags.

2. Agree, we should reference draft-sivabalan-pce-binding-label-sid, I would say that it's necessary to support binding-label-sid in order to support the current draft, because it's unpractical to have an SR Policy without a binding SID.

3. Agree, we should reference draft-koldychev-pce-multipath. However, it should not be necessary to support draft-koldychev-pce-multipath in order to support the current draft though. But you would only be able to have a single segment-list per CP without supporting draft-koldychev-pce-multipath.

4. I agree with your concerns, we can wait for wider input/consensus and decide what to do about this section.

Thanks,
Mike.

-----Original Message-----
From: Pce <[email-masked]> On Behalf Of Stone, Andrew (Nokia - CA/Ottawa)
Sent: Monday, June 8, 2020 12:05 PM
To: [email-masked]
Subject: Re: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06

Hi PCE Chairs and WG

Thanks
Andrew

    Hi WG,

    Thanks!
    Dhruv & Julien

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Tue, 9 Jun 2020 12:32:33 +0000

Support with some comments.

SR policy is  very important for Segment Routing. Adding an Association object to support SR policy is a very simple extension, therefore I support this adoption.

Comments:

The SR policy name can be configured via PCEP and BGP or other ways, do we need to make sure the name of the same SR policy is identical?

IMHO, the text of how to handle SR policy name conflictions between protocols should be added.

Thanks,
Cheng

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: Sunday, June 7, 2020 3:45 PM
To: [email-masked]
Subject: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06

Hi WG,

This email begins the WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06.

Should this draft be adopted by the PCE WG? Please state your reasons
- Why / Why not? What needs to be fixed before or after adoption? Are you willing to work on this draft? Review comments should be posted to the list.

Thanks!
Dhruv & Julien

---

From: "Aijun Wang" <[email-masked]>
Date: Fri, 12 Jun 2020 12:19:41 +0800

Hi, Dhruv:

I support the adoption of this draft.

One comment for the current document, would like to see the author give some
explanations or add some clarifications for them:

Will it be more accurate to change draft name to include some key words as
"Policy Association"? 
  For none association type of SR-MPLS Policy via PCEP, is RFC8664
sufficient? 
  For none association type of SRv6 via PCEP, there is also another WG draft
https://tools.ietf.org/html/draft-ietf-pce-segment-routing-ipv6-04
  As mentioned in the document, although the color/endpoint is not included
in the above documents, but these enhancements is not the main part of this
draft?

Best Regards

Aijun Wang
China Telecom

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表 Dhruv
> Dhody
> 发送时间: 2020年6月7日 15:45
> 收件人: [email-masked]
> 主题: [Pce] WG adoption poll for
draft-barth-pce-segment-routing-policy-cp-06
> draft-barth-pce-segment-routing-policy-cp-06.
https://datatracker.ietf.org/doc/draft-barth-pce-segment-routing-policy-cp/0
6/
> - Why / Why not? What needs to be fixed before or after adoption? Are you
> willing to work on this draft? Review comments should be posted to the
list.

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 12 Jun 2020 10:46:48 +0530

Hi Aijun,

Just based on the new path setup type, the existing PCEP messages and
procedures can be used for the SR-MPLS and SRv6 paths (independent of
any SR policy information). That is described in RFC 8664 and
draft-ietf-pce-segment-routing-ipv6. Some of the work in PCE WG
predates the SR policy framework. To use the features of SR policy,
one would need to use the mechanism described in this I-D.

> in the above documents, but these enhancements is not the main part of this

Could you elaborate, what is the concern?

Thanks!
Dhruv

---

From: Rakesh Gandhi <[email-masked]>
Date: Tue, 16 Jun 2020 10:39:12 -0400

Hi WG, Chairs,
Support the WG adoption.

Thanks,
Rakesh

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Mon, 22 Jun 2020 06:08:52 +0000

Hi WG, Chairs,

I support WG adoption of this draft.

Thanks! 

Best regards,
Shuping 

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: Sunday, June 7, 2020 3:45 PM
To: [email-masked]
Subject: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06

Hi WG,

Thanks!
Dhruv & Julien

---

From: huruizhao <[email-masked]>
Date: Mon, 22 Jun 2020 06:31:12 +0000

Hi WG, Chairs,

Support the WG adoption.

Thanks,
Ruizhao
----邮件原件-----
发件人: Pce [mailto:[email-masked]] 代表 Dhruv Dhody
发送时间: 2020年6月7日 15:45
收件人: [email-masked]
主题: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06

Hi WG,

Thanks!
Dhruv & Julien

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Mon, 22 Jun 2020 07:15:12 +0000

Yes, Support.
The work of PCEP extension to support association among candidate paths of SR policy is useful in SR deployment. 

Best Regards
Xuesong

> Subject: [Pce] WG adoption poll for
> 
> 
> Hi WG,
> 
> willing to work on this draft? Review comments should be posted to the list.
>

---

From: "qinfengwei" <[email-masked]>
Date: Mon, 22 Jun 2020 16:20:12 +0800

Yes, Support.

Thanks，
Fengwei Qin

-----邮件原件-----
发件人: Pce [mailto:[email-masked]] 代表 Dhruv Dhody
发送时间: 2020年6月7日 15:45
收件人: [email-masked]
主题: [Pce] WG adoption poll for

Hi WG,

Thanks!
Dhruv & Julien

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 22 Jun 2020 16:23:55 +0800

Hi，WG, 

Chongfeng 

-----邮件原件-----
发件人: Pce [mailto:[email-masked]] 代表 Dhruv Dhody
发送时间: 2020年6月7日 15:45
收件人: [email-masked]
主题: [Pce] WG adoption poll for
 
Hi WG,

 

Thanks!
Dhruv & Julien

---

From: "Peng Liu" <[email-masked]>
Date: Mon, 22 Jun 2020 17:36:34 +0800

Yes, Support.

Regards，
Peng Liu

[email-masked]
 
From: Dhruv Dhody
Date: 2020-06-07 15:45
To: [email-masked]

 

Thanks!
Dhruv & Julien

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 22 Jun 2020 18:06:58 +0800

Hi WG,

I support the adoption of this work.

Best regards,
Cong Li

From: Dhruv Dhody
Date: 2020-06-07 15:45
To: [email-masked]

 

Thanks!
Dhruv & Julien

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 22 Jun 2020 19:07:08 +0800

Hi,

    I support the adoption of this work. It is neccssary for the SR policy.

Best Regards,
Zongpeng Du

[email-masked]
 
From: [email-masked]
Date: 2020-06-22 18:06
To: [email-masked]
Subject: Re: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06
Hi WG,

Best regards,
Cong Li

From: Dhruv Dhody
Date: 2020-06-07 15:45
To: [email-masked]

 

Thanks!
Dhruv & Julien

---

From: Colby Barth <[email-masked]>
Date: Mon, 22 Jun 2020 10:10:15 -0400

As a co-author, I support WG adoption.

—Colby

> On Jun 22, 2020, at 3:15 AM, Gengxuesong (Geng Xuesong) <[email-masked]> wrote:
> 
> Yes, Support.

---

From: Siva Sivabalan <[email-masked]>
Date: Mon, 22 Jun 2020 10:52:20 -0400

Support as a co-author.

Thanks,
Siva

-----Original Message-----
From: Pce <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Sunday, June 7, 2020 3:45 AM
To: [email-masked]
Subject: [Pce] WG adoption poll for

Hi WG,

Thanks!
Dhruv & Julien

---

From: Vishnu Pavan Beeram <[email-masked]>
Date: Mon, 22 Jun 2020 10:12:34 -0500

Support the adoption of this document -- this is a critical piece for
realizing controller driven SR policies.

Regards,
-Pavan

---

From: stefano previdi <[email-masked]>
Date: Mon, 22 Jun 2020 18:20:40 +0200

Hi,

I support the adoption of this document.

thanks.
s.

> On Jun 7, 2020, at 9:45 AM, Dhruv Dhody <[email-masked]> wrote:
> 
> Hi WG,
>

---

From: Tarek Saad <[email-masked]>
Date: Mon, 22 Jun 2020 16:22:10 +0000

I support adoption of the ID. The ability to initiate/report/delegate colored SR policies (and candidate paths) via PCEP is crucial, and this draft addresses this.

Regards,
Trek

On 6/7/20, 3:46 AM, "Pce on behalf of Dhruv Dhody" <[email-masked] on behalf of [email-masked]> wrote:

    Hi WG,

    Thanks!
    Dhruv & Julien

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 22 Jun 2020 10:22:10 -0700

Yes/support

Cheers,
Jeff

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 22 Jun 2020 17:28:24 +0000

Hi All,

I support the adoption of this draft. It incorporates the key CP signalling constructs for PCEP in line with draft-spring-segment-routing-policy that are required for signalling of multiple CPs for an SR Policy.

Thanks,
Ketan  

-----Original Message-----
From: Pce <[email-masked]> On Behalf Of Dhruv Dhody
Sent: 07 June 2020 13:15
To: [email-masked]
Subject: [Pce] WG adoption poll for draft-barth-pce-segment-routing-policy-cp-06

Hi WG,

Thanks!
Dhruv & Julien

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 23 Jun 2020 01:11:42 +0000

Hi, 

Best regards,
Jie

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 24 Jun 2020 16:13:08 +0530

Hi WG,

Thanks to all who responded to the adoption poll. We have support to
adopt this as a WG item. Please continue to provide your comments as
the document moves through the WG process.

Authors, please post a -00 version
'draft-ietf-pce-segment-routing-policy-cp-00' with only the name/date
change, and be sure to set the "replaces" option during submission.

Thanks!
Dhruv & Julien